Name:           cockpit-image-builder
Version:        57
Release:        1.20250206123032453485.pr2806.23.g5ae2c9d6%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-58.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Thu Feb 6 2025 Packit <hello@packit.dev> - 57-1.20250206123032453485.pr2806.23.g5ae2c9d6
- Wizard: Add services to Review step (regexowl)
- src: Align to center (regexowl)
- .github/workflows: run cockpit unit tests in github workflows (Sanne Raymaekers)
- package.json: add script to run unit tests with cockpit (Sanne Raymaekers)
- test/ImagesTable: support basic render with cockpit (Sanne Raymaekers)
- test/mocks: expand cockpit mocks (Sanne Raymaekers)
- test/testUtils: support rendering with cockpit (Sanne Raymaekers)
- test/fixtures: add blueprint for cockpit (Sanne Raymaekers)
- requestMapper: Fix snapshot date parsing (regexowl)
- store/cockpit: Add notifications for blueprints (Sanne Raymaekers)
- validators: Remove unneeded condition for service validator (regexowl)
- src: Rely only osbuild-composer's cloudapi types (Sanne Raymaekers)
- store/cockpit: Add osbuild-composer's cloudapi (Sanne Raymaekers)
- api: Add osbuild-composer's cloudapi (Sanne Raymaekers)
- store/cockpitApi: add notification when composing images (Sanne Raymaekers)
- Blueprints/helpers: fix mapping hosted to on prem (Sanne Raymaekers)
- CreateImageWizard: fix systemd validator (Sanne Raymaekers)
- store/cockpitApi: fix deleting blueprints (Sanne Raymaekers)
- CreateImageWizard: support edit mode on premise (Sanne Raymaekers)
- store/wizardSlice: default to 'register-later' when on-premise (Sanne Raymaekers)
- Utilities/useGetEnvironment: support feature flags on prem (Sanne Raymaekers)
- README: Update scripts for running prod and stage (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
